/* 
Theme Name: be-on! vOffice Theme für Fineline
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Basierend auf dem Hello Elementor Child Theme wurde dieses Theme für Fineline Sylt angepasst.
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: fineline-theme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Global */
.beon-btn .elementor-button {
    min-width: 200px;
    position: relative;
}

.beon-btn .elementor-button::after {
    content: '';
    position: absolute;
    display: block;
    height: 12px;
    width: 12px;
    margin-top: -6px;
    right: 15px;
    top: 50%;
    mask-image: url(assets/images/arrow_right.svg);
    mask-size: 7px;
    mask-repeat: no-repeat;
    background-color: currentColor;
    transition: right .3s ease;
}

.beon-btn .elementor-button:hover::after {
    right: 10px;
}

.beon-cover-img {
    width: 100%;
    height: 100%;
}

.beon-cover-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.img-hover-effect img {
    transition: transform 0.3s ease, filter 0.3s ease;
}

.img-hover-effect:hover img {
    transform: scale(1.04);
    filter: brightness(1.03);
}

.ovh {
    overflow: hidden;
}

#loader {
    width: 100%;
}

/* Header */
.beon-header-menu .elementor-nav-menu--layout-horizontal .elementor-nav-menu {
    flex-wrap: nowrap;
}

.beon-header-menu .elementor-nav-menu > .menu-item {
    padding-left: 10px;
}

.beon-header-menu .elementor-nav-menu > .menu-item > .elementor-item {
    border-radius: 20px;
    padding: 8px 15px;
    transition: all .3s ease-in !important;
}

.beon-header-menu .elementor-nav-menu--main .elementor-item.highlighted {
  transition: none !important;
}

.beon-header-menu .elementor-nav-menu--main .elementor-nav-menu > .current-menu-ancestor > .elementor-item,
.beon-header-menu .elementor-nav-menu--main .elementor-nav-menu > .menu-item > .elementor-item:hover,
.beon-header-menu .elementor-nav-menu--main .elementor-nav-menu > .menu-item-has-children:hover > .elementor-item {
    background-color: var(--e-global-color-primary);
    color: #fff;
    fill: #fff;
}

.beon-header-menu .elementor-nav-menu--main .elementor-nav-menu > .menu-item > ul ul, 
.beon-header-menu .elementor-nav-menu--main .elementor-nav-menu > .menu-item > ul {
    border-radius: 10px;
    width: 280px !important;
    padding: 12px 0;
}

.beon-header-menu .elementor-nav-menu--dropdown .elementor-sub-item > .sub-arrow {
    transition: all .2s ease;
    color: var(--e-global-color-primary);
}

.beon-header-menu .elementor-nav-menu--dropdown .elementor-sub-item:hover > .sub-arrow {
    transform: translateX(3px);
}

.direktsuche #dropdown_search_units > select.select2-hidden-accessible {
    display: block;
}

.direktsuche #dropdown_search_units > select {
    display: none;
}

.direktsuche {
    position: relative;
}

.direktsuche #dropdown_search_units .select2-container {
    background: transparent;
    width: 25px !important;
}
.direktsuche .select2-container--open .select2-dropdown {
    left: auto;
    right: 0;
}
.direktsuche > span.select2-container.select2-container--default.select2-container--open {
    top: 37px !important;
    left: auto !important;
    right: 0;
}

.direktsuche #dropdown_search_units .select2-selection--single {
    background-color: transparent;
    border: none;
    border-radius: 0;
    padding: 0;
    outline: none;
}
.direktsuche .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: var( --e-global-color-text );
    font-size: 14px;
    height: 40px;
    position: relative;
}
.direktsuche #dropdown_search_units .select2-selection--single .select2-selection__rendered:before {
    content: '';
    position: absolute;
    display: block;
    height: 24px;
    width: 24px;
    left: 0;
    top: 0;
    mask-image: url(assets/images/search.svg);
    mask-size: 24px;
    mask-repeat: no-repeat;
    background-color: var(--beon-primary-color);
    filter: none;
    transform: none;
    background-image: none;
}
.direktsuche .select2-container .select2-selection--single {
    height: 26px;
}
.direktsuche #dropdown_search_units .select2-selection--single .select2-selection__rendered {
    border: none;
    height: 24px;
    width: 24px;
    padding: 0;
    text-indent: 9999px;
}
.direktsuche #dropdown_search_units .select2-selection__placeholder {
    display: none;
}

.direktsuche #dropdown_search_units b {
    opacity: 0;
}
.direktsuche .select2-dropdown {
    border: none;
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    width: 250px !important;
}

.direktsuche .select2-container--default .select2-results>.select2-results__options {
    max-height: 270px;
    border: none;
}

.direktsuche .select2-search--dropdown {
    padding: 0 0 5px;
}
.direktsuche .select2-container--default .select2-search--dropdown .select2-search__field, 
.direktsuche .select2-container--default .select2-search--dropdown .select2-search__field:focus {
    border: 1px solid #b9b9b9;
    border-radius: 0;
    padding: 4px 10px;
    background: white;
    outline: none;
    font-weight: 300;
}
.direktsuche .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #FCB912 !important;
    color: white;
    font-size: 13px;
}

.direktsuche .select2-results__option {
    padding: 5px !important;
    font-size: 13px;
    background: transparent;
    min-height: 0;
    border: none;
    text-align: left;
}

/*Scrollbar*/
/* custom scrollbar */
.select2-results__options::-webkit-scrollbar {
  width: 1px;
}

.select2-results__options::-webkit-scrollbar-track {
  background-color: lightgrey;
}

.select2-results__options::-webkit-scrollbar-thumb {
  background-color: black;
  border-radius: 0px;
  border: 0px solid transparent;
  background-clip: content-box;
}

.select2-results__options::-webkit-scrollbar-thumb:hover {
  background-color: black;
}

@media only screen and (max-width: 1024px) {
    .beon-header .elementor-menu-toggle {
        padding-right: 0;
    }

    .beon-header-menu .elementor-nav-menu > .menu-item {
        padding-left: 0;
    }

    .beon-header-menu .elementor-nav-menu {
        padding-left: 30px;
        padding-right: 30px;
    }

    .beon-header-menu .elementor-nav-menu > .menu-item > .elementor-item {
        font-size: 15px;
        font-weight: normal;
        padding: 25px 0 25px 10px !important;
        border-bottom: 1px solid #e0e0e0;
        border-radius: 0;
    }

    .beon-header-menu .elementor-nav-menu > .menu-item:last-child > .elementor-item {
        border-bottom: none;
    }

    .beon-header-menu .elementor-nav-menu a {
        justify-content: space-between;
        padding: 15px 0 15px 10px !important;
        border-bottom: 1px solid #e0e0e0;
    }

    .beon-header-menu .elementor-nav-menu .sub-arrow {
        width: 36px;
        height: 36px;
        border-radius: 50%;
        color: #fff;
        fill: #fff;
        background-color: var(--e-global-color-primary);
        padding: 12px 12px 10px;
    }

    .beon-header-menu .elementor-nav-menu--dropdown .elementor-sub-item:hover > .sub-arrow {
        transform: none;
    }

    .beon-header-menu .elementor-nav-menu .highlighted > .sub-arrow > svg {
        transform: rotate(180deg);
    }

    .beon-header-menu .elementor-nav-menu .sub-arrow svg {
        width: 1em !important;
        height: 1em !important;
    }

    .beon-btn--header .elementor-button-icon svg {
        width: 24px;
    }
}

@media only screen and (max-width: 767px) {
    .beon-header-menu .elementor-nav-menu {
        padding-left: 20px;
        padding-right: 20px;
    }
}